## GnomeDbSelectorSchema

GnomeDbSelectorSchema —

##

# Synopsis

    struct      GnomeDbSelectorSchema;
    struct      GnomeDbSelectorSchemaClass;
    enum        GnomeDbSelectorSchemaNodeType;
    GnomeDbSelectorPart* gnome_db_selector_schema_new
                                                (void);
    void        gnome_db_selector_schema_set_sub_part
                                                (GnomeDbSelectorSchema *part,
                                                 GnomeDbSelectorSchemaNodeType type,
                                                 GnomeDbSelectorPart *subpart);

## Object Hierarchy

      GObject
       +----GnomeDbSelectorSchema

## Implemented Interfaces

GnomeDbSelectorSchema implements GnomeDbSelectorPart.

## Properties

      "auto-features"        guint                : Read / Write / Construct Only
      "meta-store"           GdaMetaStore         : Read / Write / Construct Only

## Description

## Details

### struct GnomeDbSelectorSchema

    struct GnomeDbSelectorSchema;

### struct GnomeDbSelectorSchemaClass

    struct GnomeDbSelectorSchemaClass {

    	GObjectClass            parent_class;
    };

### enum GnomeDbSelectorSchemaNodeType

    typedef enum {
    	GNOME_DB_SELECTOR_SCHEMA_TABLES = 0,
    	GNOME_DB_SELECTOR_SCHEMA_VIEWS,
    	GNOME_DB_SELECTOR_SCHEMA_SEQUENCES,
    	GNOME_DB_SELECTOR_SCHEMA_PROCEDURES,
    	GNOME_DB_SELECTOR_SCHEMA_DOMAINS,

    	GNOME_DB_SELECTOR_SCHEMA_LAST
    } GnomeDbSelectorSchemaNodeType;

### gnome_db_selector_schema_new ()

    GnomeDbSelectorPart* gnome_db_selector_schema_new
                                                (void);

Returns : | a new GnomeDbSelectorPart object

### gnome_db_selector_schema_set_sub_part ()

    void        gnome_db_selector_schema_set_sub_part
                                                (GnomeDbSelectorSchema *part,
                                                 GnomeDbSelectorSchemaNodeType type,
                                                 GnomeDbSelectorPart *subpart);

Attach a GnomeDbSelectorPart as a sub part of `part`

`part` : |
`type` : |
`subpart` : |

## Properties

"`auto-features`" (guint : Read / Write / Construct Only) |
"`meta-store`" (GdaMetaStore : Read / Write / Construct Only) |